GNU bug report logs - #9406
24.0.50; Use M-p/M-n to navigate through the kill ring

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Dani Moncayo <dmoncayo@HIDDEN>; dated Tue, 30 Aug 2011 11:43:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 2 Sep 2011 01:27:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 21:27:34 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QzIXe-0004Bh-2g
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 21:27:34 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1QzIXc-0004Ba-Mk
	for 9406 <at> debbugs.gnu.org; Thu, 01 Sep 2011 21:27:33 -0400
Received: from [87.198.47.210] (87-198-47-210.ptr.magnet.ie [87.198.47.210])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id 7294A68474;
	Fri,  2 Sep 2011 02:24:09 +0100 (IST)
Message-ID: <4E603037.9030508@HIDDEN>
Date: Fri, 02 Sep 2011 02:24:07 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.20) Gecko/20110820 Icedove/3.1.12
MIME-Version: 1.0
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>	<87zkirnlug.fsf@HIDDEN>	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>	<87ippfnl3g.fsf@HIDDEN>	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>	<4E5E5799.1040107@HIDDEN>	<871uw1lerd.fsf@HIDDEN>	<CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>	<8762lc1wnn.fsf@HIDDEN>	<CAH8Pv0hM8y+=uSrJbyM0G85eWpo5LAFGk0-HHXL=YTk4Pap8Bg@HIDDEN>	<87mxeowg69.fsf@HIDDEN>	<CAH8Pv0ghbbbBQRQ2y238EV-PPNc6718_1Zha5812ci0XwRosAQ@HIDDEN>	<4E5FE41B.8010505@HIDDEN>
	<CAH8Pv0jzTSfEW2ZEi5wT1BBnWe=nRsHQ70V1mB+Yib+KncFswg@HIDDEN>
In-Reply-To: <CAH8Pv0jzTSfEW2ZEi5wT1BBnWe=nRsHQ70V1mB+Yib+KncFswg@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 9406
Cc: Juri Linkov <juri@HIDDEN>, Deniz Dogan <deniz@HIDDEN>,
	Stefan Monnier <monnier@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

On 01/09/11 22:56, Dani Moncayo wrote:
>>> users would not be able to browse
>>> the kill-ring in the minibuffer just after yanking the top entry with
>>> C-y.
>>
>> They are browsing it in-place with M-y
>
> In-place browsing would be already doable in a more convenient way

While default behaviour of M-y is obviously wastefully useless without 
the preceding C-y, default behaviour of C-y M-y is long-standing [1].
While (cough) I am not exactly one to balk at a change to a 
long-standing default just because it's long-standing (and hey it's not 
at all up to me anyway, Stefan's already been pretty positive), you do 
just have to expect some people to think an idea to change such a 
long-standing default is not quite as great as you may think it is.

"More convenient" is also somewhat subjective - for one thing, if M-y's 
present behaviour after C-y is gone and you have to use M-n/M-p instead, 
you have to switch from y to n/p (even when touch typing properly, n is 
on the same finger as y on qwerty), whereas you do get to stay on y for 
M-y/M-C-y, and of course (as already mentioned) you can't press M-n/M-p 
for their normal functionality in some mode directly after a C-y anymore.

Presumably, the latter would just mean learning to hit C-g after C-y if 
you're about to press M-n to go to the next slime compiler note or 
whatever, so (as already mentioned) I do not actually strongly object to 
special meaning of M-n/M-p after C-y, so long as M-n/M-p are not 
globally bound even without a preceding C-y (a global binding would 
discourage the IMO pleasant current "mode-appropriate next/prev" common 
usage, as ISTR being mentioned under another different recent proposal 
for an M-n/M-p binding on emacs-devel). Still I suspect you just happen 
to not already use M-n/M-p nearly as much as some people like myself.

[1]

http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/476/lisp/simple.el#L768
http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/476/lisp/simple.el#L1630

(and it was presumably there before that date, rev 476 is just when 
simple.el got imported into version control, at least the version 
control that our present history has a lineage all the way back to)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 2 Sep 2011 00:42:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 20:42:47 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QzHqJ-00017e-Be
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 20:42:47 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1QzHqF-00017V-I2
	for 9406 <at> debbugs.gnu.org; Thu, 01 Sep 2011 20:42:44 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AosWAD8lYE64rwMJ/2dsb2JhbABCgjGCHJRfjyZ4gUABAQQBIzMjBQsJAhoCGA4CAhQYDYgpqHuSAYEshCKBEQSgD4RA
X-IronPort-AV: E=Sophos;i="4.68,316,1312171200"; d="scan'208";a="133995850"
Received: from 184-175-3-9.dsl.teksavvy.com (HELO ceviche.home) ([184.175.3.9])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	01 Sep 2011 20:39:21 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id AD9E3660B6; Thu,  1 Sep 2011 20:39:20 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: 9406 <at> debbugs.gnu.org
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
Message-ID: <jwvfwkh61f0.fsf-monnier+emacs@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN> <4E5E3D6A.3050504@HIDDEN>
	<87zkiphcqw.fsf@HIDDEN>
Date: Thu, 01 Sep 2011 20:39:20 -0400
In-Reply-To: <87zkiphcqw.fsf@HIDDEN> (Thierry Volpiatto's message of "Wed, 
	31 Aug 2011 16:33:27 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: 9406
Cc: Deniz Dogan <deniz@HIDDEN>,
	Thierry Volpiatto <thierry.volpiatto@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.4 (-)

>> Why "free" the M-y binding if it means jailing M-n and M-p?

You didn't read me right: I only pointed out that *if/when* M-p/M-n is
used as suggested, then M-y can be freed.

>> M-y does nothing useful unless preceded by C-y today, so in that
>> sense it's already "free".

That's true, except that the current implementation occupies the M-y
binding all the time.

> It's so convenient to have a kill-ring browser, i don't understand why
> Emacs have not one and continue cycling blindly to find something in
> kill-ring...

It's already been suggested, and I agree it's a good idea.
I.e. patches welcome for Emacs-24.2.  But most likely I'd only accept
such a patch if the "kill-ring browser" uses a more-or-less standard
"minibuffer with completion".  OTOH it'd be OK for that patch to include
some changes to minibuffer.el, if needed.  FWIW, here's the code I'm
using right now.


        Stefan


(defun yank-browse (string)
  "Browse the `kill-ring' to choose which entry to yank."
  (interactive
   (minibuffer-with-setup-hook #'minibuffer-completion-help
     (let* ((kills (delete-dups (append kill-ring-yank-pointer kill-ring ni=
l)))
            (entries
             (mapcar (lambda (string)
                       (let ((pos 0))
                         ;; FIXME: Maybe we should start by removing
                         ;; all properties.
                         (setq string (copy-sequence string))
                         (while (string-match "\n" string pos)
                           ;; FIXME: Maybe completion--insert-strings should
                           ;; do that for us.
                           (put-text-property
                            (match-beginning 0) (match-end 0)
                            'display (eval-when-compile
                                       (propertize "\\n" 'face 'escape-glyp=
h))
                            string)
                           (setq pos (match-end 0)))
                         ;; FIXME: We may use the window-width of the
                         ;; wrong window.
                         (when (>=3D (* 3 (string-width string))
                                   (* 2 (window-width)))
                           (let ((half (- (/ (window-width) 3) 1)))
                             ;; FIXME: We're using char-counts rather than
                             ;; width-count.
                             (put-text-property
                              half (- (length string) half)
                              'display (eval-when-compile
                                         (propertize "=E2=80=A6=E2=80=A6" '=
face 'escape-glyph))
                              string)))
                         string))
                     kills))
            (table (lambda (string pred action)
                     (cond
                      ((eq action 'metadata)
                       '(metadata (category . kill-ring)))
                      (t
                       (complete-with-action action entries string pred))))=
))
       ;; FIXME: We should return the entry from the kill-ring rather than
       ;; the entry from the completion-table.
       ;; FIXME: substring completion doesn't work well because it only mat=
ches
       ;; subtrings before the first \n.
       ;; FIXME: completion--insert-strings assumes that boundaries of
       ;; candidates are obvious enough, but with kill-ring entries this is=
 not
       ;; true, so we'd probably want to display them with =C2=AB...=C2=BB =
around them.
       (list (completing-read "Yank: " table nil t)))))
  (setq this-command 'yank)
  (insert-for-yank string))




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 1 Sep 2011 21:59:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 17:59:57 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QzFIi-0006uN-Hv
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 17:59:56 -0400
Received: from mail-yi0-f44.google.com ([209.85.218.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1QzFIg-0006uF-0s
	for 9406 <at> debbugs.gnu.org; Thu, 01 Sep 2011 17:59:54 -0400
Received: by yie12 with SMTP id 12so1602702yie.3
	for <9406 <at> debbugs.gnu.org>; Thu, 01 Sep 2011 14:56:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=MK7BhAZ+EU1tJkX4lx3KRqLq4/n/8XGx0DTU+xn7p6w=;
	b=cufjb42OOi64AiXnGezE6A9jyndvdnrF+I5s+PvK5j+TGxQfxe7J7WOCDgHMAE68pJ
	IHV2U1jduXbyRbwVyG9LAZz/iyklpDX0E54rBXcDaPgvOlc98xPk6IlbYDmYEuZsX/iq
	/uHr/HMt1xTRIByup2etzOylFoyABkfR2X4RI=
MIME-Version: 1.0
Received: by 10.236.181.226 with SMTP id l62mr2370529yhm.2.1314914192659; Thu,
	01 Sep 2011 14:56:32 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Thu, 1 Sep 2011 14:56:32 -0700 (PDT)
In-Reply-To: <4E5FE41B.8010505@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E5799.1040107@HIDDEN> <871uw1lerd.fsf@HIDDEN>
	<CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>
	<8762lc1wnn.fsf@HIDDEN>
	<CAH8Pv0hM8y+=uSrJbyM0G85eWpo5LAFGk0-HHXL=YTk4Pap8Bg@HIDDEN>
	<87mxeowg69.fsf@HIDDEN>
	<CAH8Pv0ghbbbBQRQ2y238EV-PPNc6718_1Zha5812ci0XwRosAQ@HIDDEN>
	<4E5FE41B.8010505@HIDDEN>
Date: Thu, 1 Sep 2011 23:56:32 +0200
Message-ID: <CAH8Pv0jzTSfEW2ZEi5wT1BBnWe=nRsHQ70V1mB+Yib+KncFswg@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: David De La Harpe Golden <david@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 9406
Cc: Juri Linkov <juri@HIDDEN>, Deniz Dogan <deniz@HIDDEN>,
	Stefan Monnier <monnier@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

>> users would not be able to browse
>> the kill-ring in the minibuffer just after yanking the top entry with
>> C-y.
>
> They are browsing it in-place with M-y

In-place browsing would be already doable in a more convenient way
(the very subject of this feature request, remember?).  Therefore, M-y
could be used entirely for a brand new task.


-- 
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 1 Sep 2011 20:02:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 16:02:49 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QzDTM-0007xX-UQ
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 16:02:49 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1QzDTL-0007xP-7W
	for 9406 <at> debbugs.gnu.org; Thu, 01 Sep 2011 16:02:47 -0400
Received: from [87.198.47.210] (87-198-47-210.ptr.magnet.ie [87.198.47.210])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id 82F1068474;
	Thu,  1 Sep 2011 20:59:25 +0100 (IST)
Message-ID: <4E5FE41B.8010505@HIDDEN>
Date: Thu, 01 Sep 2011 20:59:23 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.20) Gecko/20110820 Icedove/3.1.12
MIME-Version: 1.0
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>	<87zkirnlug.fsf@HIDDEN>	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>	<87ippfnl3g.fsf@HIDDEN>	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>	<4E5E5799.1040107@HIDDEN>	<871uw1lerd.fsf@HIDDEN>	<CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>	<8762lc1wnn.fsf@HIDDEN>	<CAH8Pv0hM8y+=uSrJbyM0G85eWpo5LAFGk0-HHXL=YTk4Pap8Bg@HIDDEN>	<87mxeowg69.fsf@HIDDEN>
	<CAH8Pv0ghbbbBQRQ2y238EV-PPNc6718_1Zha5812ci0XwRosAQ@HIDDEN>
In-Reply-To: <CAH8Pv0ghbbbBQRQ2y238EV-PPNc6718_1Zha5812ci0XwRosAQ@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 9406
Cc: Juri Linkov <juri@HIDDEN>, Deniz Dogan <deniz@HIDDEN>,
	Stefan Monnier <monnier@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

On 01/09/11 15:44, Dani Moncayo wrote:

> users would not be able to browse
> the kill-ring in the minibuffer just after yanking the top entry with
> C-y.

They are browsing it in-place with M-y




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 1 Sep 2011 14:47:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 10:47:54 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qz8Yb-0003VX-Iy
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 10:47:53 -0400
Received: from mail-yi0-f44.google.com ([209.85.218.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1Qz8YX-0003VO-GG
	for 9406 <at> debbugs.gnu.org; Thu, 01 Sep 2011 10:47:50 -0400
Received: by yie12 with SMTP id 12so1301535yie.3
	for <9406 <at> debbugs.gnu.org>; Thu, 01 Sep 2011 07:44:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	bh=U30o2OWUSeCJuRMJPT8BI2/pebwa6CWxr+nTTB/cqe8=;
	b=jeaNzVHRiOysXDZekaL+qutGEDaaqQg+oZhP/L99gbWkn6Dh9JzRabxD2OdKGRvm4d
	SuUQ0+IjOGABdxa4lJ4/vsFuHLanurt4W60OrTfcOqeKMP/wOWWuLKKICdqZLkbKIl9w
	4vEVNAd+jma98VooPC1GSbXnDwX9J59f08GoU=
MIME-Version: 1.0
Received: by 10.236.185.4 with SMTP id t4mr1846737yhm.121.1314888269594; Thu,
	01 Sep 2011 07:44:29 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Thu, 1 Sep 2011 07:44:29 -0700 (PDT)
In-Reply-To: <87mxeowg69.fsf@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E5799.1040107@HIDDEN> <871uw1lerd.fsf@HIDDEN>
	<CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>
	<8762lc1wnn.fsf@HIDDEN>
	<CAH8Pv0hM8y+=uSrJbyM0G85eWpo5LAFGk0-HHXL=YTk4Pap8Bg@HIDDEN>
	<87mxeowg69.fsf@HIDDEN>
Date: Thu, 1 Sep 2011 16:44:29 +0200
Message-ID: <CAH8Pv0ghbbbBQRQ2y238EV-PPNc6718_1Zha5812ci0XwRosAQ@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 9406
Cc: Deniz Dogan <deniz@HIDDEN>, david@HIDDEN,
	Stefan Monnier <monnier@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

> There are many commands that work differently when preceded by another
> key like e.g. `C-u'. =A0So there is no problem when `M-y' preceded by `C-=
y'
> works differently.

That is not comparable: C-u is the universal-argument key, and it's
sole purpose in life is to serve as a prefix key to extend the
behavior of the others key sequences.

However C-y is not a prefix key, and the proposed behavior of M-y is
simple, well defined, and doesn't need to be extended by C-y, because
such pretended extension will be already bound to another key (M-p),
which is the natural choice.

With the "bloated" version of M-y, users would not be able to browse
the kill-ring in the minibuffer just after yanking the top entry with
C-y.  And why? Because of an unnecessary complexity in M-y.

Please, let's not make that mistake.

--=20
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 1 Sep 2011 13:28:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 09:28:12 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qz7JU-000618-5o
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 09:28:12 -0400
Received: from smarty.dreamhost.com ([208.113.175.8])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <juri@HIDDEN>) id 1Qz7JS-00060z-1p
	for 9406 <at> debbugs.gnu.org; Thu, 01 Sep 2011 09:28:10 -0400
Received: from ps18281.dreamhostps.com (ps18281.dreamhost.com [69.163.218.105])
	by smarty.dreamhost.com (Postfix) with ESMTP id 045CA6E8072;
	Thu,  1 Sep 2011 06:24:51 -0700 (PDT)
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 575DE451C255;
	Thu,  1 Sep 2011 06:24:49 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
Organization: JURTA
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E5799.1040107@HIDDEN> <871uw1lerd.fsf@HIDDEN>
	<CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>
	<8762lc1wnn.fsf@HIDDEN>
	<CAH8Pv0hM8y+=uSrJbyM0G85eWpo5LAFGk0-HHXL=YTk4Pap8Bg@HIDDEN>
Date: Thu, 01 Sep 2011 16:22:38 +0300
In-Reply-To: <CAH8Pv0hM8y+=uSrJbyM0G85eWpo5LAFGk0-HHXL=YTk4Pap8Bg@HIDDEN>
	(Dani Moncayo's message of "Thu, 1 Sep 2011 11:13:09 +0200")
Message-ID: <87mxeowg69.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 9406
Cc: Deniz Dogan <deniz@HIDDEN>, david@HIDDEN,
	Stefan Monnier <monnier@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> So you want to keep the current behavior of "C-y M-y" for the sake of
> "traditional behavior", so that M-y would do one thing when preceded
> by C-y, and another one (completely different) when not.

There are many commands that work differently when preceded by another
key like e.g. `C-u'.  So there is no problem when `M-y' preceded by `C-y'
works differently.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Sep 2011 10:46:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 06:46:41 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qz4n9-00043M-1h
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 06:46:40 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1Qz4n0-00041y-T6
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 06:46:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1Qz4jj-00030g-Sb
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 06:43:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_DNSWL_LOW,T_DKIM_INVALID,T_TO_NO_BRKTS_FREEMAIL
	autolearn=no version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:33354)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1Qz4jj-0002qV-D3
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 06:43:07 -0400
Received: from eggs.gnu.org ([140.186.70.92]:48056)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1Qz4VG-0003O3-02
	for bug-gnu-emacs@HIDDEN; Thu, 01 Sep 2011 06:28:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1Qz4VE-0004JJ-Lr
	for bug-gnu-emacs@HIDDEN; Thu, 01 Sep 2011 06:28:09 -0400
Received: from mail-gy0-f169.google.com ([209.85.160.169]:32963)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1Qz4VE-0004Ir-JF
	for bug-gnu-emacs@HIDDEN; Thu, 01 Sep 2011 06:28:08 -0400
Received: by gyg10 with SMTP id 10so1340241gyg.0
	for <bug-gnu-emacs@HIDDEN>; Thu, 01 Sep 2011 03:28:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	bh=dglAGFDM3mZIVpxpFMIcbCZKTSlU9ktyuRMLvcNeYTI=;
	b=qyWKAxwLT+lxZ0fa3om5O5doJ83BohE+5A4bLFSDyuyLAgH6s7tdzUL0XB0i9A3Flq
	vnEcQqzrR04fA1EDu0YDtXKPI6+XYH12H0MS4UZkCiFLmBJWWjgWX4QdxpeUuR67fBJU
	odURJhRGAOVnEZpVW0By/FAGvOq/S1SXGGk1w=
MIME-Version: 1.0
Received: by 10.236.78.202 with SMTP id g50mr333822yhe.36.1314872887612; Thu,
	01 Sep 2011 03:28:07 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Thu, 1 Sep 2011 03:28:07 -0700 (PDT)
In-Reply-To: <87hb4wvbb3.fsf@HIDDEN>
References: <87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E5799.1040107@HIDDEN> <871uw1lerd.fsf@HIDDEN>
	<CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>
	<8762lc1wnn.fsf@HIDDEN>
	<CAH8Pv0hM8y+=uSrJbyM0G85eWpo5LAFGk0-HHXL=YTk4Pap8Bg@HIDDEN>
	<CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87hb4wvbb3.fsf@HIDDEN>
Date: Thu, 1 Sep 2011 12:28:07 +0200
Message-ID: <CAH8Pv0iXePbZBVh53eUvZFj2zoTPaoY8EyNnj+nBzOu7R-0vzg@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
Cc: 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.3 (----)

On Thu, Sep 1, 2011 at 11:53, Antoine Levitt <antoine.levitt@HIDDEN> wro=
te:
> What about the following UI?


Quotation from a Juri's post:

On Wed, Aug 31, 2011 at 18:36, Juri Linkov <juri@HIDDEN> wrote:
> We already have a well-known user interface to browse, search and complet=
e
> items of a history list (including the kill-ring and the search-ring) in
> the minibuffer with `read-from-minibuffer'. =A0This is better than invent=
ing
> a new user interface.


So please, let's focus on realistic proposals.

--=20
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 1 Sep 2011 10:31:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 06:31:28 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qz4YR-00032J-ME
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 06:31:27 -0400
Received: from mail-gx0-f172.google.com ([209.85.161.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1Qz4YQ-00032C-2x
	for 9406 <at> debbugs.gnu.org; Thu, 01 Sep 2011 06:31:26 -0400
Received: by gxk19 with SMTP id 19so1123968gxk.3
	for <9406 <at> debbugs.gnu.org>; Thu, 01 Sep 2011 03:28:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	bh=dglAGFDM3mZIVpxpFMIcbCZKTSlU9ktyuRMLvcNeYTI=;
	b=qyWKAxwLT+lxZ0fa3om5O5doJ83BohE+5A4bLFSDyuyLAgH6s7tdzUL0XB0i9A3Flq
	vnEcQqzrR04fA1EDu0YDtXKPI6+XYH12H0MS4UZkCiFLmBJWWjgWX4QdxpeUuR67fBJU
	odURJhRGAOVnEZpVW0By/FAGvOq/S1SXGGk1w=
MIME-Version: 1.0
Received: by 10.236.78.202 with SMTP id g50mr333822yhe.36.1314872887612; Thu,
	01 Sep 2011 03:28:07 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Thu, 1 Sep 2011 03:28:07 -0700 (PDT)
In-Reply-To: <87hb4wvbb3.fsf@HIDDEN>
References: <87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E5799.1040107@HIDDEN> <871uw1lerd.fsf@HIDDEN>
	<CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>
	<8762lc1wnn.fsf@HIDDEN>
	<CAH8Pv0hM8y+=uSrJbyM0G85eWpo5LAFGk0-HHXL=YTk4Pap8Bg@HIDDEN>
	<CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87hb4wvbb3.fsf@HIDDEN>
Date: Thu, 1 Sep 2011 12:28:07 +0200
Message-ID: <CAH8Pv0iXePbZBVh53eUvZFj2zoTPaoY8EyNnj+nBzOu7R-0vzg@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

On Thu, Sep 1, 2011 at 11:53, Antoine Levitt <antoine.levitt@HIDDEN> wro=
te:
> What about the following UI?


Quotation from a Juri's post:

On Wed, Aug 31, 2011 at 18:36, Juri Linkov <juri@HIDDEN> wrote:
> We already have a well-known user interface to browse, search and complet=
e
> items of a history list (including the kill-ring and the search-ring) in
> the minibuffer with `read-from-minibuffer'. =A0This is better than invent=
ing
> a new user interface.


So please, let's focus on realistic proposals.

--=20
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Sep 2011 09:56:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 05:56:48 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qz40u-00009N-8A
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 05:56:48 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Qz40q-00009F-U1
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 05:56:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Qz3xd-0003GD-VK
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 05:53:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.7 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT, RCVD_IN_DNSWL_MED, RP_MATCHES_RCVD,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:46797)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Qz3xd-0003G3-Tf
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 05:53:25 -0400
Received: from eggs.gnu.org ([140.186.70.92]:35276)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Qz3xd-0007v6-0P
	for bug-gnu-emacs@HIDDEN; Thu, 01 Sep 2011 05:53:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Qz3xb-0003D5-OB
	for bug-gnu-emacs@HIDDEN; Thu, 01 Sep 2011 05:53:24 -0400
Received: from lo.gmane.org ([80.91.229.12]:58468)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Qz3xb-0003Cz-9p
	for bug-gnu-emacs@HIDDEN; Thu, 01 Sep 2011 05:53:23 -0400
Received: from list by lo.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Qz3xZ-0007pX-MF
	for bug-gnu-emacs@HIDDEN; Thu, 01 Sep 2011 11:53:21 +0200
Received: from ney92-7-78-233-218-202.fbx.proxad.net ([78.233.218.202])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Thu, 01 Sep 2011 11:53:21 +0200
Received: from antoine.levitt by ney92-7-78-233-218-202.fbx.proxad.net with
	local (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Thu, 01 Sep 2011 11:53:21 +0200
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Antoine Levitt <antoine.levitt@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
Date: Thu, 01 Sep 2011 11:53:04 +0200
Lines: 51
Message-ID: <87hb4wvbb3.fsf@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E5799.1040107@HIDDEN> <871uw1lerd.fsf@HIDDEN>
	<CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>
	<8762lc1wnn.fsf@HIDDEN>
	<CAH8Pv0hM8y+=uSrJbyM0G85eWpo5LAFGk0-HHXL=YTk4Pap8Bg@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: ney92-7-78-233-218-202.fbx.proxad.net
Mail-Copies-To: never
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.7 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.8 (----)

01/09/11 11:13, Dani Moncayo
> On Thu, Sep 1, 2011 at 10:42, Juri Linkov <juri@HIDDEN> wrote:
>>> WDYT?
>>
>> I think we should not change the traditional behavior of `C-y M-y M-y ...'
>> that many users are accustomed to.
>
> Sorry to hear that.  I agree that it is good to keep the traditional
> behavior as much as possible, but not at the expense of evolving
> positively.
>
>> What we could do is to activate the
>> minibuffer browsing the kill-ring on `M-y' (not preceded by `C-y').
>
> So you want to keep the current behavior of "C-y M-y" for the sake of
> "traditional behavior", so that M-y would do one thing when preceded
> by C-y, and another one (completely different) when not.  IMO, this
> mixing/overloading of functionality in M-y is not clean, and besides,
> one of those two tasks would be already implemented in M-p.  I'd like
> you to reconsider this, please.
>
>> And optionally bind `M-p'/`M-n' after `C-y' to more transient version
>> of the current `M-y' that doesn't require multiple undo (but still
>> you have to undo the first yank inserted by `C-y').
>
> 100% agreement on that (I like your "transient version" improvement).

What about the following UI?

M-y triggers a kind of kill-ring browsing: it opens a small buffer above
the minibuffer with the next killed text (that which would be inserted
by C-y), accessible with M-y or M-n. If the user presses M-y or M-n, the
buffer expands to display the previous killed text as well, accessible
with M-p. In any event, pressing RET inserts the current killed text to
the buffer, and pressing anything other than RET/M-y/M-n/M-p kills the
buffer and resumes normal editing.

C-y M-y directly jumps to the second step of the above, but inserts
automatically the current killed text, preserving backwards
compatibility.

Therefore, C-y M-y M-y ... does the right thing, with the added
convenience of a buffer allowing you to go back to a previous
completion. Also M-y becomes a nice alias for viewing the kill-ring.

This has the merit of not binding M-n / M-p in anything else than the
mode this buffer would be displayed in. Doing it any other way would
probably cause confusion to users/modes who bind M-n/M-p.

The appearance of the small window would be controllable with a boolean
setting.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 1 Sep 2011 09:16:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 05:16:31 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qz3Nu-0006Ky-Vz
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 05:16:31 -0400
Received: from mail-yi0-f44.google.com ([209.85.218.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1Qz3Ns-0006Kp-5q
	for 9406 <at> debbugs.gnu.org; Thu, 01 Sep 2011 05:16:29 -0400
Received: by yie12 with SMTP id 12so1124539yie.3
	for <9406 <at> debbugs.gnu.org>; Thu, 01 Sep 2011 02:13:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=+32h84mpTlFeJNoat96SY+TQa0+WwBiTQe2hWg9xC38=;
	b=DsQs79QDsbMvfYntYPRS6QHq6BQTs9mC/eJNKROihF0pKVbYnSFjh6hFVAP/QdKJ2N
	oAgIUdBhJXB415vzqs71jD8R9cWactFs9ph8cN/69chjzvsm7eMTk9YRV1UGQxI4mmL9
	dee8DHdm0/QbK2joZq2xihlLZPSOf0S+GF7Kg=
MIME-Version: 1.0
Received: by 10.236.78.202 with SMTP id g50mr7481805yhe.36.1314868389847; Thu,
	01 Sep 2011 02:13:09 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Thu, 1 Sep 2011 02:13:09 -0700 (PDT)
In-Reply-To: <8762lc1wnn.fsf@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E5799.1040107@HIDDEN> <871uw1lerd.fsf@HIDDEN>
	<CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>
	<8762lc1wnn.fsf@HIDDEN>
Date: Thu, 1 Sep 2011 11:13:09 +0200
Message-ID: <CAH8Pv0hM8y+=uSrJbyM0G85eWpo5LAFGk0-HHXL=YTk4Pap8Bg@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 9406
Cc: Deniz Dogan <deniz@HIDDEN>, david@HIDDEN,
	Stefan Monnier <monnier@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

On Thu, Sep 1, 2011 at 10:42, Juri Linkov <juri@HIDDEN> wrote:
>> WDYT?
>
> I think we should not change the traditional behavior of `C-y M-y M-y ...'
> that many users are accustomed to.

Sorry to hear that.  I agree that it is good to keep the traditional
behavior as much as possible, but not at the expense of evolving
positively.

> What we could do is to activate the
> minibuffer browsing the kill-ring on `M-y' (not preceded by `C-y').

So you want to keep the current behavior of "C-y M-y" for the sake of
"traditional behavior", so that M-y would do one thing when preceded
by C-y, and another one (completely different) when not.  IMO, this
mixing/overloading of functionality in M-y is not clean, and besides,
one of those two tasks would be already implemented in M-p.  I'd like
you to reconsider this, please.

> And optionally bind `M-p'/`M-n' after `C-y' to more transient version
> of the current `M-y' that doesn't require multiple undo (but still
> you have to undo the first yank inserted by `C-y').

100% agreement on that (I like your "transient version" improvement).


-- 
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 1 Sep 2011 08:50:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 04:50:43 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qz2yw-0004PB-SC
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2011 04:50:43 -0400
Received: from smarty.dreamhost.com ([208.113.175.8])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <juri@HIDDEN>) id 1Qz2yu-0004Oy-NG
	for 9406 <at> debbugs.gnu.org; Thu, 01 Sep 2011 04:50:41 -0400
Received: from ps18281.dreamhostps.com (ps18281.dreamhost.com [69.163.218.105])
	by smarty.dreamhost.com (Postfix) with ESMTP id AC9416E8088;
	Thu,  1 Sep 2011 01:47:22 -0700 (PDT)
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 8C301451C367;
	Thu,  1 Sep 2011 01:47:20 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
Organization: JURTA
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E5799.1040107@HIDDEN> <871uw1lerd.fsf@HIDDEN>
	<CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>
Date: Thu, 01 Sep 2011 11:42:20 +0300
In-Reply-To: <CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>
	(Dani Moncayo's message of "Wed, 31 Aug 2011 23:18:23 +0200")
Message-ID: <8762lc1wnn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 9406
Cc: Deniz Dogan <deniz@HIDDEN>, david@HIDDEN,
	Stefan Monnier <monnier@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> WDYT?

I think we should not change the traditional behavior of `C-y M-y M-y ...'
that many users are accustomed to.  What we could do is to activate the
minibuffer browsing the kill-ring on `M-y' (not preceded by `C-y').
And optionally bind `M-p'/`M-n' after `C-y' to more transient version
of the current `M-y' that doesn't require multiple undo (but still
you have to undo the first yank inserted by `C-y').




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 21:21:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 17:21:41 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QysE9-0008Qn-Mq
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 17:21:41 -0400
Received: from mail-gy0-f172.google.com ([209.85.160.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1QysE7-0008Qe-Le
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 17:21:40 -0400
Received: by gyf3 with SMTP id 3so849332gyf.3
	for <9406 <at> debbugs.gnu.org>; Wed, 31 Aug 2011 14:18:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=w3sCMTg/+nNmcoo2RtZXYI97Q5SkoaTtJTILl9gnSy8=;
	b=yIa9A3OHyvtS/kWW2j+2Wz4aMfFzLfZt8caZq9HOpba5TFwgq8mwad28fFFoNGaAzI
	sOfM6yXy28dPIdhsc7jZ+/eZfVItJmQbsQOf10XDHgk5ANKPFjSaMA5eP5mEAFeUmKV6
	SJDPCuCugRTrYdyp9EyGMVv4cqqG4jQG8jAkQ=
MIME-Version: 1.0
Received: by 10.236.116.73 with SMTP id f49mr4973060yhh.87.1314825504048; Wed,
	31 Aug 2011 14:18:24 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Wed, 31 Aug 2011 14:18:23 -0700 (PDT)
In-Reply-To: <871uw1lerd.fsf@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E5799.1040107@HIDDEN> <871uw1lerd.fsf@HIDDEN>
Date: Wed, 31 Aug 2011 23:18:23 +0200
Message-ID: <CAH8Pv0g1TbnyUqYnT3sg88CqKapA4oWF14wd6S-8+Lpmh5+apA@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: 9406 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 9406
Cc: Juri Linkov <juri@HIDDEN>, david@HIDDEN,
	Stefan Monnier <monnier@HIDDEN>, Deniz Dogan <deniz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

Well, thus far the main objections to my initial proposal are:

1. Some prefer to select the kill-ring entry from the minibuffer,
which would allow "clean browsing" (i.e. without altering the undo
history), searching and completion.  I obviously agree that this would
be a nice feature.

2. Some don't want M-p/M-n to be temporally rebound after C-y.

------------

Solution for #1: Since the current M-y functionality would go to M-p,
M-y would be free and we could use it for jumping to the minibuffer.

Something similar has been proposed, but I don't want to overload M-y
with two different tasks, but instead moving the current one to M-p
(it makes a lot more sense there) and giving it the new one (it feels
quite good too: C-y for "yanking in situ" and M-y for "yanking via
minibuffer").

Solution for #2: As Stefan pointed out, that temporal rebinding of
M-p/M-n could be optional.

I think/hope that, with these additions, everyone shall be happy, and
I guess that we all agree in that this would mean a great boost in
Emacs kill-ring functionality.

WDYT?

-- 
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 16:41:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 12:41:57 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QynrR-00061k-Ej
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 12:41:57 -0400
Received: from smarty.dreamhost.com ([208.113.175.8])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <juri@HIDDEN>) id 1QynrO-00061c-Rb
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 12:41:55 -0400
Received: from ps18281.dreamhostps.com (ps18281.dreamhost.com [69.163.218.105])
	by smarty.dreamhost.com (Postfix) with ESMTP id 11CAC6E8067;
	Wed, 31 Aug 2011 09:38:40 -0700 (PDT)
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id DDF2F451C384;
	Wed, 31 Aug 2011 09:38:38 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: David De La Harpe Golden <david@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
Organization: JURTA
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E5799.1040107@HIDDEN>
Date: Wed, 31 Aug 2011 19:36:22 +0300
In-Reply-To: <4E5E5799.1040107@HIDDEN> (David De La Harpe Golden's
	message of "Wed, 31 Aug 2011 16:47:37 +0100")
Message-ID: <871uw1lerd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 9406
Cc: Stefan Monnier <monnier@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> Then also add a kill-ring-search-next to the kill-ring-search prompt as
> M-C-y (it already has a kill-ring-search-prev on M-y).

We already have a well-known user interface to browse, search and complete
items of a history list (including the kill-ring and the search-ring) in
the minibuffer with `read-from-minibuffer'.  This is better than inventing
a new user interface.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 16:15:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 12:15:12 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QynRX-0004HB-HF
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 12:15:12 -0400
Received: from acsinet15.oracle.com ([141.146.126.227])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1QynRV-0004DR-Hg
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 12:15:10 -0400
Received: from rtcsinet21.oracle.com (rtcsinet21.oracle.com [66.248.204.29])
	by acsinet15.oracle.com (Switch-3.4.4/Switch-3.4.4) with ESMTP id
	p7VGBTpr010723
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 31 Aug 2011 16:11:31 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by rtcsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	p7VGBRpI008336
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 31 Aug 2011 16:11:28 GMT
Received: from abhmt102.oracle.com (abhmt102.oracle.com [141.146.116.54])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	p7VGBMes028352; Wed, 31 Aug 2011 11:11:22 -0500
Received: from dradamslap1 (/130.35.178.194)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 31 Aug 2011 09:11:21 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Dani Moncayo'" <dmoncayo@HIDDEN>, "'Deniz Dogan'" <deniz@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN><87zkirnlug.fsf@HIDDEN><CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN><87ippfnl3g.fsf@HIDDEN><CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN><jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E3D6A.3050504@HIDDEN>
	<CAH8Pv0hkw5nuagESCnJTwvJc-qgdbzkQTCK+Fsntb32J2_=jDw@HIDDEN>
Subject: RE: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
Date: Wed, 31 Aug 2011 09:11:22 -0700
Message-ID: <5FC32308672B407CA1AE87C41522E32F@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <CAH8Pv0hkw5nuagESCnJTwvJc-qgdbzkQTCK+Fsntb32J2_=jDw@HIDDEN>
Thread-Index: Acxn9GKNwiJw4FahQdy4oGKxhgBqrwABBN+w
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6109
X-Source-IP: rtcsinet21.oracle.com [66.248.204.29]
X-CT-RefId: str=0001.0A090204.4E5E5D49.01A7,ss=1,re=0.594,fgs=0
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

> If you do "C-h c M-y", you will see that M-y is not currently free.

Which is unfortunate, since if M-y is not preceded by a yank then you just get a
message stating that fact.  Not much use as a global binding.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 15:50:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 11:50:56 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qyn44-0002nV-CN
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 11:50:56 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1Qyn41-0002nL-Jf
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 11:50:54 -0400
Received: from [87.198.47.209] (87-198-47-209.ptr.magnet.ie [87.198.47.209])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id E25EC683EA;
	Wed, 31 Aug 2011 16:47:38 +0100 (IST)
Message-ID: <4E5E5799.1040107@HIDDEN>
Date: Wed, 31 Aug 2011 16:47:37 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.20) Gecko/20110820 Icedove/3.1.12
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>	<87zkirnlug.fsf@HIDDEN>	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>	<87ippfnl3g.fsf@HIDDEN>	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org, Dani Moncayo <dmoncayo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

On 31/08/11 14:01, Stefan Monnier wrote:
 > That doesn't sound like a bad idea, although of course it will annoy
 > a few users in a few corner cases (e.g. I have M-n and M-p bound in
 > smerge-mode).  So we might prefer to have it as an option.

I definitely do use various modes with M-n/M-p already bound (such as 
slime), they're often some "mode appropriate next/previous".  I expect I 
do hit them directly after a C-y sometimes too, though I suppose
in principle I could get used to not being able to (and I'm not exactly 
a new user who doesn't know how to alter bindings anyway...)

All the same, one alternative would be M-y and M-C-y after C-y for 
moving in opposite directions through the kill ring? Just tried it and 
it doesn't feel too bad to me, anyway.

(defun yank-pop-inv (&optional arg)
   (interactive "*p")
   (unless arg (setq arg 1))
   (let ((arg (- arg)))
     (yank-pop arg)))

(global-set-key (kbd "M-C-y") #'yank-pop-inv)


OTOH, "kill-ring-search" tends to be more useful than uni- or bi- 
directional navigation through the kill ring. The author suggests M-C-y 
as its default binding:
http://nschum.de/src/emacs/kill-ring-search/

So I'd also consider, given M-y is currently globally bound to a 
definition that isn't used except after C-y, putting kill-ring-search 
functionality on M-y when _not_ after C-y.

Then also add a kill-ring-search-next to the kill-ring-search prompt as 
M-C-y (it already has a kill-ring-search-prev on M-y).

That would also actually sort of fit in with C-y followed by M-y / M-C-y 
as suggested earlier above, as then C-y followed by M-y / M-C-y could be 
considered to be acting like the new M-y, with a null search string, 
inplace display, and implicit exit (while still also acting just like 
C-y M-y today!).

And could add M-n and M-p to the new M-y prompt where they'd feel 
"right", without having them have an effect after C-y (or with if 
preferred, of course).




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 15:49:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 11:49:35 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qyn2k-0002lW-W3
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 11:49:35 -0400
Received: from ch-smtp05.sth.basefarm.net ([80.76.153.6])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <deniz@HIDDEN>) id 1Qyn2j-0002lQ-8A
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 11:49:34 -0400
Received: from c80-216-105-155.bredband.comhem.se ([80.216.105.155]:50554
	helo=[192.168.0.10])
	by ch-smtp05.sth.basefarm.net with esmtp (Exim 4.76)
	(envelope-from <deniz@HIDDEN>)
	id 1Qymz9-0003YE-IE; Wed, 31 Aug 2011 17:45:53 +0200
Message-ID: <4E5E5700.8040302@HIDDEN>
Date: Wed, 31 Aug 2011 17:45:04 +0200
From: Deniz Dogan <deniz@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:6.0) Gecko/20110812 Thunderbird/6.0
MIME-Version: 1.0
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN> <4E5E3D6A.3050504@HIDDEN>
	<CAH8Pv0hkw5nuagESCnJTwvJc-qgdbzkQTCK+Fsntb32J2_=jDw@HIDDEN>
In-Reply-To: <CAH8Pv0hkw5nuagESCnJTwvJc-qgdbzkQTCK+Fsntb32J2_=jDw@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Originating-IP: 80.216.105.155
X-Scan-Result: No virus found in message 1Qymz9-0003YE-IE.
X-Scan-Signature: ch-smtp05.sth.basefarm.net 1Qymz9-0003YE-IE
	d28c7b771e9358b8812aedd508f9695f
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 9406
Cc: Stefan Monnier <monnier@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On 2011-08-31 17:40, Dani Moncayo wrote:
> On Wed, Aug 31, 2011 at 15:55, Deniz Dogan<deniz@HIDDEN>  wrote:
>> On 2011-08-31 15:01, Stefan Monnier wrote:
>>>
>>> Actually one of the benefits of your proposal is that it opens up the
>>> possibility of freeing the M-y binding.
>>>
>>
>> Why "free" the M-y binding if it means jailing M-n and M-p?
>
> M-n and M-p would not be jailed at all, as I've tried to explain to
> you several times.  They would remain unbound, as now.  The only
> exception would be after typing C-y...
>

I understand that.

So what we have today is: "M-y is free unless preceded by C-y."  What 
you propose is: "M-n and M-p are free unless preceded by C-y."  However, 
the way Stefan put it makes it sound like we're freeing up key bindings 
here.  We're not.

>>   M-y does nothing useful unless preceded by C-y today, so in that sense it's already
>> "free".
>
> If you do "C-h c M-y", you will see that M-y is not currently free.
>

As I said, M-y does nothing useful unless preceded by C-y.  In other 
words, the command is useless unless you do C-y first.  This is why I 
propose that the behavior of M-y is changed so that unless it is 
preceded by C-y, it enters a new mode which browses the kill-ring with 
M-n and M-p.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 15:43:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 11:43:36 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qymwy-0001vZ-D8
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 11:43:36 -0400
Received: from mail-gy0-f172.google.com ([209.85.160.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1Qymww-0001vS-HZ
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 11:43:35 -0400
Received: by gyf3 with SMTP id 3so585810gyf.3
	for <9406 <at> debbugs.gnu.org>; Wed, 31 Aug 2011 08:40:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	bh=8Y7y9A9vdFWaRhjIwIDoC73a+PLq6NR9fl73YxCTbwU=;
	b=A+Gm9sfPRY1kAlSjM4YlEy5RFI6mUaeevMd3gimL58ZJqhWqwRMn6S7N5Cb4Nyhu2q
	hRAhgRHpiDGPRTntdPlQGHnTs/xweNgGnAyS+4s+dmz40YGterBhlvlV4DvAyfALb84P
	BNcD8+LW9feJqELjqmatiydC/crb/pTnkcER0=
MIME-Version: 1.0
Received: by 10.236.116.73 with SMTP id f49mr2892409yhh.87.1314805219954; Wed,
	31 Aug 2011 08:40:19 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Wed, 31 Aug 2011 08:40:19 -0700 (PDT)
In-Reply-To: <4E5E3D6A.3050504@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN> <4E5E3D6A.3050504@HIDDEN>
Date: Wed, 31 Aug 2011 17:40:19 +0200
Message-ID: <CAH8Pv0hkw5nuagESCnJTwvJc-qgdbzkQTCK+Fsntb32J2_=jDw@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Deniz Dogan <deniz@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 9406
Cc: Stefan Monnier <monnier@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

On Wed, Aug 31, 2011 at 15:55, Deniz Dogan <deniz@HIDDEN> wrote:
> On 2011-08-31 15:01, Stefan Monnier wrote:
>>
>> Actually one of the benefits of your proposal is that it opens up the
>> possibility of freeing the M-y binding.
>>
>
> Why "free" the M-y binding if it means jailing M-n and M-p?

M-n and M-p would not be jailed at all, as I've tried to explain to
you several times.  They would remain unbound, as now.  The only
exception would be after typing C-y...

>=A0M-y does nothing useful unless preceded by C-y today, so in that sense =
it's already
> "free".

If you do "C-h c M-y", you will see that M-y is not currently free.


--=20
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 15:36:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 11:36:30 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qymq6-0001lu-JQ
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 11:36:30 -0400
Received: from mail-yi0-f44.google.com ([209.85.218.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1Qymq4-0001ll-KO
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 11:36:29 -0400
Received: by yie12 with SMTP id 12so608290yie.3
	for <9406 <at> debbugs.gnu.org>; Wed, 31 Aug 2011 08:33:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	bh=IjTByOAFk9M4KInkb0DKci/s3Yqi2h7xgdgAwbkDluE=;
	b=XtULF59AEWpC2I0EZmQQCOcKxJnNlDmE+X29ySDFByjX5K2axOfFGn4250eiay3d/8
	eWWTr/n08muD/fq1INHA0WSgks0yCA5SZkNy/d8dLMUEKISU/t9adqZduOCyuUx9zWYh
	vHFmJHTJi7MQKs11oPuqT23t61AVEK2BwMzGI=
MIME-Version: 1.0
Received: by 10.236.78.202 with SMTP id g50mr2939162yhe.36.1314804794193; Wed,
	31 Aug 2011 08:33:14 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Wed, 31 Aug 2011 08:33:13 -0700 (PDT)
In-Reply-To: <jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
Date: Wed, 31 Aug 2011 17:33:13 +0200
Message-ID: <CAH8Pv0jxzTjoVwRBtrNwREStjBfJbXK+3o8nDzBbQTzGd5HPmQ@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 9406
Cc: Juri Linkov <juri@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

> Basically it would amount to moving the M-y binding to M-p but only if
> used immediately after C-y, and to add a M-n binding to the same command
> but that cycles in the other direction.
>
> That doesn't sound like a bad idea, although of course it will annoy
> a few users in a few corner cases (e.g. I have M-n and M-p bound in
> smerge-mode). =A0So we might prefer to have it as an option.

I think that those corner cases are pretty few (How often you will be
using M-p/M-n just after C-y?), but if you deem it necessary, ok.

>> I'm not an expert in Emacs' internals, but I think that one way of
>> implementing this would be as a minor mode, that would be activated by
>> C-y (like Isearch is activated by C-s), and deactivated by "anything
>> else" (distinct from M-p M-n and M-y*).
>
> I use the function below to do these kinds of things. =A0I didn't find th=
e
> time to install it for Emacs-24.1, tho.
> You should be able to get this working fairly cleanly with an
> after-advice on `yank' which uses that set-temporary-overlay-map.

Thanks.  I'm still beginning to learn Elisp, so right now I would not
be able to work it out.

>> (*) The behavior of M-y would remain the same, obviously, for old-timers=
.
>
> Actually one of the benefits of your proposal is that it opens up the
> possibility of freeing the M-y binding.

I just wanted to make the change as smooth as possible, but of course
the current behavior of M-y would be adopted by M-p, so M-y could be
freed or used for anything else.  I'm perfectly fine with that,
because I would obviously use M-p, not M-y.


--=20
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 14:57:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 10:57:05 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QymDw-0007Hw-Uh
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 10:57:05 -0400
Received: from ch-smtp04.sth.basefarm.net ([80.76.153.5])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <deniz@HIDDEN>) id 1QymDt-0007HW-Gd
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 10:57:02 -0400
Received: from c80-216-105-155.bredband.comhem.se ([80.216.105.155]:55313
	helo=[192.168.0.10])
	by ch-smtp04.sth.basefarm.net with esmtp (Exim 4.76)
	(envelope-from <deniz@HIDDEN>)
	id 1QymAH-0003ki-Fg; Wed, 31 Aug 2011 16:53:20 +0200
Message-ID: <4E5E4AB1.9030409@HIDDEN>
Date: Wed, 31 Aug 2011 16:52:33 +0200
From: Deniz Dogan <deniz@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:6.0) Gecko/20110812 Thunderbird/6.0
MIME-Version: 1.0
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
	<4E5E3D6A.3050504@HIDDEN> <87zkiphcqw.fsf@HIDDEN>
In-Reply-To: <87zkiphcqw.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Originating-IP: 80.216.105.155
X-Scan-Result: No virus found in message 1QymAH-0003ki-Fg.
X-Scan-Signature: ch-smtp04.sth.basefarm.net 1QymAH-0003ki-Fg
	f3d3ba45797577d944e8c04970b14a4f
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On 2011-08-31 16:33, Thierry Volpiatto wrote:
> Deniz Dogan<deniz@HIDDEN>  writes:
>
>> On 2011-08-31 15:01, Stefan Monnier wrote:
>>> Actually one of the benefits of your proposal is that it opens up the
>>> possibility of freeing the M-y binding.
>>>
>>
>> Why "free" the M-y binding if it means jailing M-n and M-p?  M-y does
>> nothing useful unless preceded by C-y today, so in that sense it's
>> already "free".
>
> It's so convenient to have a kill-ring browser, i don't understand why
> emacs have not one and continue cycling blindly to find something in
> kill-ring...
>

It's still much better than any other text editor I know of.  And either 
way, there are already third-party alternatives if the Emacs defaults 
isn't good enough.

I think it would be better if we rebind M-y completely to enter a new 
mode which browses the kill ring in the minibuffer.  But leave C-y alone.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Aug 2011 14:37:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 10:37:07 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qylud-00068Z-5S
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 10:37:07 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Qylua-00068S-U3
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 10:37:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QylrS-00062k-I4
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 10:33:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.7 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT, RCVD_IN_DNSWL_MED, RP_MATCHES_RCVD,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:52896)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QylrS-00062g-Gc
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 10:33:50 -0400
Received: from eggs.gnu.org ([140.186.70.92]:48892)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QylrR-00028e-MY
	for bug-gnu-emacs@HIDDEN; Wed, 31 Aug 2011 10:33:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QylrQ-00062O-Fw
	for bug-gnu-emacs@HIDDEN; Wed, 31 Aug 2011 10:33:49 -0400
Received: from lo.gmane.org ([80.91.229.12]:37557)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QylrP-00061z-OO
	for bug-gnu-emacs@HIDDEN; Wed, 31 Aug 2011 10:33:48 -0400
Received: from list by lo.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QylrN-0001mF-Cy
	for bug-gnu-emacs@HIDDEN; Wed, 31 Aug 2011 16:33:45 +0200
Received: from 117.78.88.79.rev.sfr.net ([79.88.78.117])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Wed, 31 Aug 2011 16:33:45 +0200
Received: from thierry.volpiatto by 117.78.88.79.rev.sfr.net with local
	(Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Wed, 31 Aug 2011 16:33:45 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
Date: Wed, 31 Aug 2011 16:33:27 +0200
Lines: 19
Message-ID: <87zkiphcqw.fsf@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN> <4E5E3D6A.3050504@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: 117.78.88.79.rev.sfr.net
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
Cancel-Lock: sha1:mFlFgV7qDFtg3g0ExACNrxv4+oA=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

Deniz Dogan <deniz@HIDDEN> writes:

> On 2011-08-31 15:01, Stefan Monnier wrote:
>> Actually one of the benefits of your proposal is that it opens up the
>> possibility of freeing the M-y binding.
>>
>
> Why "free" the M-y binding if it means jailing M-n and M-p?  M-y does
> nothing useful unless preceded by C-y today, so in that sense it's
> already "free".

It's so convenient to have a kill-ring browser, i don't understand why
emacs have not one and continue cycling blindly to find something in
kill-ring...

-- 
A+ Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 14:00:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 10:00:34 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QylLF-0003wU-OK
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 10:00:34 -0400
Received: from ch-smtp04.sth.basefarm.net ([80.76.153.5])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <deniz@HIDDEN>) id 1QylLA-0003tT-GN
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 10:00:29 -0400
Received: from c80-216-105-155.bredband.comhem.se ([80.216.105.155]:59220
	helo=[192.168.0.10])
	by ch-smtp04.sth.basefarm.net with esmtp (Exim 4.76)
	(envelope-from <deniz@HIDDEN>)
	id 1QylHX-0000n7-DY; Wed, 31 Aug 2011 15:56:44 +0200
Message-ID: <4E5E3D6A.3050504@HIDDEN>
Date: Wed, 31 Aug 2011 15:55:54 +0200
From: Deniz Dogan <deniz@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:6.0) Gecko/20110812 Thunderbird/6.0
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Originating-IP: 80.216.105.155
X-Scan-Result: No virus found in message 1QylHX-0000n7-DY.
X-Scan-Signature: ch-smtp04.sth.basefarm.net 1QylHX-0000n7-DY
	8ae380fb157944eaebe1302741fcf17c
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org, Dani Moncayo <dmoncayo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

On 2011-08-31 15:01, Stefan Monnier wrote:
> Actually one of the benefits of your proposal is that it opens up the
> possibility of freeing the M-y binding.
>

Why "free" the M-y binding if it means jailing M-n and M-p?  M-y does 
nothing useful unless preceded by C-y today, so in that sense it's 
already "free".




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 13:04:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 09:04:22 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QykSs-0008L0-0D
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 09:04:22 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.183]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1QykSo-0008Kq-4E
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 09:04:20 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AuQSAKwvXk64rwMJ/2dsb2JhbABDgjGmFniBQAEBBAFWFQ4FCwsOJhIUGA0kiAWpX49thlUEoAqEPg
X-IronPort-AV: E=Sophos;i="4.68,307,1312171200"; d="scan'208";a="133665559"
Received: from 184-175-3-9.dsl.teksavvy.com (HELO ceviche.home) ([184.175.3.9])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	31 Aug 2011 09:01:04 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id 35024660B1; Wed, 31 Aug 2011 09:01:04 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
Message-ID: <jwv1uw17ng4.fsf-monnier+emacs@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
Date: Wed, 31 Aug 2011 09:01:04 -0400
In-Reply-To: <CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	(Dani Moncayo's message of "Wed, 31 Aug 2011 08:22:20 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 9406
Cc: Juri Linkov <juri@HIDDEN>, 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.4 (-)

Basically it would amount to moving the M-y binding to M-p but only if
used immediately after C-y, and to add a M-n binding to the same command
but that cycles in the other direction.

That doesn't sound like a bad idea, although of course it will annoy
a few users in a few corner cases (e.g. I have M-n and M-p bound in
smerge-mode).  So we might prefer to have it as an option.

> I'm not an expert in Emacs' internals, but I think that one way of
> implementing this would be as a minor mode, that would be activated by
> C-y (like Isearch is activated by C-s), and deactivated by "anything
> else" (distinct from M-p M-n and M-y*).

I use the function below to do these kinds of things.  I didn't find the
time to install it for Emacs-24.1, tho.
You should be able to get this working fairly cleanly with an
after-advice on `yank' which uses that set-temporary-overlay-map.

> (*) The behavior of M-y would remain the same, obviously, for old-timers.

Actually one of the benefits of your proposal is that it opens up the
possibility of freeing the M-y binding.


        Stefan


(defun set-temporary-overlay-map (map &optional keep-pred)
  (let* ((clearfunsym (make-symbol "clear-temporary-overlay-map"))
         (overlaysym (make-symbol "t"))
         (alist (list (cons overlaysym map)))
         (clearfun
          ;; FIXME: Use lexical-binding.
          `(lambda ()
             (unless ,(cond ((null keep-pred) nil)
                            ((eq t keep-pred)
                             `(eq this-command
                                  (lookup-key ',map
                                              (this-command-keys-vector))))
                            (t `(funcall ',keep-pred)))
               (remove-hook 'pre-command-hook ',clearfunsym)
               (setq emulation-mode-map-alists
                     (delq ',alist emulation-mode-map-alists))))))
    (set overlaysym overlaysym)
    (fset clearfunsym clearfun)
    (add-hook 'pre-command-hook clearfunsym)
    ;; FIXME: That's the keymaps with highest precedence, except for
    ;; the `keymap' text-property ;-(
    (push alist emulation-mode-map-alists)))




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 10:48:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 06:48:37 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QyiLU-0007as-6B
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 06:48:37 -0400
Received: from mail-yw0-f44.google.com ([209.85.213.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1QyiLS-0007al-24
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 06:48:34 -0400
Received: by ywe9 with SMTP id 9so401314ywe.3
	for <9406 <at> debbugs.gnu.org>; Wed, 31 Aug 2011 03:45:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=MdQ33IuJMFEhkBpbNnw4OsuO98paQIyYPwIYAX2ZUBE=;
	b=KnziWsxfUroeG3fVKj71ppQ90Uo6j6w2wgi6U0KZyL4d7DJLlCLRqaIiPKlWSzJWxq
	VMz/HkGUvGzAG0W/FjmiHkoK2CQycmI/ZCTjJBhnTKEzg0KDhRQFHqXCMssg/JRMQh86
	5vWF6HMWfH4mS2/Y9i084dY43TRuaSXKwQPAw=
MIME-Version: 1.0
Received: by 10.236.168.99 with SMTP id j63mr1221214yhl.19.1314787521105; Wed,
	31 Aug 2011 03:45:21 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Wed, 31 Aug 2011 03:45:20 -0700 (PDT)
In-Reply-To: <87sjohrjfl.fsf@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	<87sjohrjfl.fsf@HIDDEN>
Date: Wed, 31 Aug 2011 12:45:20 +0200
Message-ID: <CAH8Pv0jERFhmNnjc=OcJ-uOSU4uOC=jC21CbfuJWpwfT7fkQBA@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

Hi Juri,

On Wed, Aug 31, 2011 at 11:51, Juri Linkov <juri@HIDDEN> wrote:
>> Using the minibuffer would be indeed a way of doing this, but on
>> second thought I think that it would be better to have "in-site"
>> replacement of the yanked text (like M-y does now), because:
>>
>> 1. It would be quicker: It saves you the extra <RET> once you have
>> selected the wanted entry.
>
> "In-situ" replacement is quicker indeed but has its own problems:
> to undo the last yanked text to the initial state you have to undo
> insertions and deletions of all intermediate elements of the kill ring.
>
> So what you propose is like setting `search-ring-update' to t in Isearch.
> It's quicker without requiring <RET>, but to revert to the initial search
> position you have to undo all search movements for intermediate elements of
> the search ring.

Correct.  That is the way M-y works now, so that this would not be a
new problem.  Besides, that problem is quite minor, IMO, because:
* The common case would be to yank the last or close-to-last entry
from the ring, so that no (or very few) extra "undo" movements would
be necessary.
* In the rare cases of yanking and old entry *and* then wanting to
revert it, users would always have the quick option of deleting the
region (which as you now is updated in every yank operation).

So, i think that the drawbacks are much smaller than the advantages.

>> 2. When the killed text is tall (has many lines), the minibuffer would
>> show only a small fragment of it.
>
> The minibuffer shows enough multi-line text to recognize the wanted entry.

Yes, I also think so.  So this point would make little difference, but
anyway large entries would be shown even better in the buffer, because
there would be normally more visual space.

>> Thus, for example if you wanted to yank the third entry from the kill
>> ring, all you would have to to is "C-y M-p M-p M-p" and you're done.
>> Very quick, very intuitive, very convenient!
>
> With many M-p, one extra <RET> is not a problem.

As I've said above, I think that the common case would imply one or
very few "M-p"'s.  Besides, typing 2 or 3 times the same key is almost
as quick as typing it only once.  Therefore, IMO the extra <RET> would
really make a difference.

-- 
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 10:18:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 06:18:07 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qyhrz-0005U5-0m
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 06:18:07 -0400
Received: from smarty.dreamhost.com ([208.113.175.8])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <juri@HIDDEN>) id 1Qyhrx-0005Ty-3B
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 06:18:05 -0400
Received: from ps18281.dreamhostps.com (ps18281.dreamhost.com [69.163.218.105])
	by smarty.dreamhost.com (Postfix) with ESMTP id 559686EA371;
	Wed, 31 Aug 2011 03:09:06 -0700 (PDT)
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 3BA60451C3CA;
	Wed, 31 Aug 2011 03:02:23 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
Organization: JURTA
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
	<CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
Date: Wed, 31 Aug 2011 12:51:54 +0300
In-Reply-To: <CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
	(Dani Moncayo's message of "Wed, 31 Aug 2011 08:22:20 +0200")
Message-ID: <87sjohrjfl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> Using the minibuffer would be indeed a way of doing this, but on
> second thought I think that it would be better to have "in-site"
> replacement of the yanked text (like M-y does now), because:
>
> 1. It would be quicker: It saves you the extra <RET> once you have
> selected the wanted entry.

"In-situ" replacement is quicker indeed but has its own problems:
to undo the last yanked text to the initial state you have to undo
insertions and deletions of all intermediate elements of the kill ring.

So what you propose is like setting `search-ring-update' to t in Isearch.
It's quicker without requiring <RET>, but to revert to the initial search
position you have to undo all search movements for intermediate elements of
the search ring.

> 2. When the killed text is tall (has many lines), the minibuffer would
> show only a small fragment of it.

The minibuffer shows enough multi-line text to recognize the wanted entry.

> Thus, for example if you wanted to yank the third entry from the kill
> ring, all you would have to to is "C-y M-p M-p M-p" and you're done.
> Very quick, very intuitive, very convenient!

With many M-p, one extra <RET> is not a problem.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 31 Aug 2011 06:26:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 02:26:52 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QyeGB-0006AQ-0F
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2011 02:26:51 -0400
Received: from mail-gw0-f44.google.com ([74.125.83.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1QyeG8-0006AJ-8P
	for 9406 <at> debbugs.gnu.org; Wed, 31 Aug 2011 02:26:49 -0400
Received: by gwb20 with SMTP id 20so284558gwb.3
	for <9406 <at> debbugs.gnu.org>; Tue, 30 Aug 2011 23:23:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	bh=0VGBvmRNuLtf8ifVtU88u80LpIb29804RTPfWvDpbeE=;
	b=qcv53ku/fnqkgDbSZ3D1bHd90TI8pe8sV4oUI9la1L22NOg2i/ECWiiB5BkKvcWPrC
	95OodEo9mr7rr8jsbNqx/3wp9XDC0Py9ul8fH/jhNxfOsMO8UK6UwBluz957udu7yg56
	acILlbc2hdaXsZkIPxqeNwPDBmF0Y3mrBUONY=
MIME-Version: 1.0
Received: by 10.236.185.4 with SMTP id t4mr683363yhm.121.1314771740541; Tue,
	30 Aug 2011 23:22:20 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Tue, 30 Aug 2011 23:22:20 -0700 (PDT)
In-Reply-To: <87ippfnl3g.fsf@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
Date: Wed, 31 Aug 2011 08:22:20 +0200
Message-ID: <CAH8Pv0inA66+ARgCwQzgfwC1b=DeP=hsAwaEvZqeOgAZOhF1=Q@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

Hi Juri,

On Tue, Aug 30, 2011 at 14:27, Juri Linkov <juri@HIDDEN> wrote:
> Yes, this would be good. =A0So it could work exactly like `C-s M-p'
> in Isearch mode where `M-p' activates the minibuffer. =A0`C-y M-p'
> could do the same.

Using the minibuffer would be indeed a way of doing this, but on
second thought I think that it would be better to have "in-site"
replacement of the yanked text (like M-y does now), because:

1. It would be quicker: It saves you the extra <RET> once you have
selected the wanted entry.

2. When the killed text is tall (has many lines), the minibuffer would
show only a small fragment of it.

Thus, for example if you wanted to yank the third entry from the kill
ring, all you would have to to is "C-y M-p M-p M-p" and you're done.
Very quick, very intuitive, very convenient!

I'm not an expert in Emacs' internals, but I think that one way of
implementing this would be as a minor mode, that would be activated by
C-y (like Isearch is activated by C-s), and deactivated by "anything
else" (distinct from M-p M-n and M-y*).

(*) The behavior of M-y would remain the same, obviously, for old-timers.

--=20
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 30 Aug 2011 18:51:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 14:51:50 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QyTPY-0003SN-Fn
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 14:51:50 -0400
Received: from mail-gw0-f44.google.com ([74.125.83.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1QyTPV-0003SF-5g
	for 9406 <at> debbugs.gnu.org; Tue, 30 Aug 2011 14:51:45 -0400
Received: by gwb20 with SMTP id 20so5294707gwb.3
	for <9406 <at> debbugs.gnu.org>; Tue, 30 Aug 2011 11:48:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	bh=LcVM4MwCEnzptnmlQL8A95e4LYtOiBZ2TK6AMXbn3a4=;
	b=VSFKInv8gCuoT6Ucdqi6AY9+/q1SFpyLFcuZkrliqIgjB1Wp9qhui7mopebfezaEP1
	MmIp+89+AUUAGozpLuD1GYAXemFqdq49OgNfdm0+Ue7qRzGTzpkjfE+7ecveVh80knmY
	KWaR/uSnoXW0sCG6LS1aQqOjYqfGyyKNFB95w=
MIME-Version: 1.0
Received: by 10.236.115.98 with SMTP id d62mr707509yhh.70.1314730116033; Tue,
	30 Aug 2011 11:48:36 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Tue, 30 Aug 2011 11:48:35 -0700 (PDT)
In-Reply-To: <4E5D2849.4090107@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN> <4E5D2849.4090107@HIDDEN>
Date: Tue, 30 Aug 2011 20:48:35 +0200
Message-ID: <CAH8Pv0hdJgkjzcCD5vrKLu_bcPwRMEb68R2bsEwN-HyFgbY=Cg@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Deniz Dogan <deniz@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

Hi Deniz,

On Tue, Aug 30, 2011 at 20:13, Deniz Dogan <deniz@HIDDEN> wrote:
> I strongly oppose it. =A0I've used M-n and M-p for forward-paragraph and
> backward-paragraph for years and I'm sure many other people use them for
> other things too. =A0Please, leave M-n and M-p for other things than brow=
sing
> the kill ring in this manner.

You (and many others) could still use M-n and M-p for whatever you
want, because my proposal would only affect that keys *just after
typing C-y, and before doing anything else*.

> There is already many different ways to do
> this, all on the Emacs Wiki.[1]

I'm interested in improving the standard GNU Emacs, and the current
way of navigating through the kill ring is not very convenient, as I
explained.  My proposal would greatly improve it without harming
anyone (IMO).

--=20
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2011 18:18:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 14:18:05 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QySsu-0001Jy-Kr
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 14:18:05 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <deniz@HIDDEN>) id 1QySss-0001Jr-FG
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 14:18:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <deniz@HIDDEN>) id 1QySpp-0001WW-0E
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 14:14:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.6 required=5.0 tests=BAYES_00,GAPPY_SUBJECT,
	RCVD_IN_DNSWL_LOW autolearn=no version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:55496)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <deniz@HIDDEN>) id 1QySpo-0001WS-Uy
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 14:14:52 -0400
Received: from eggs.gnu.org ([140.186.70.92]:36138)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <deniz@HIDDEN>) id 1QySpo-0004sg-1f
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 14:14:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <deniz@HIDDEN>) id 1QySpn-0001WI-27
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 14:14:52 -0400
Received: from ch-smtp05.sth.basefarm.net ([80.76.153.6]:40237)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <deniz@HIDDEN>) id 1QySpm-0001WC-TA
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 14:14:51 -0400
Received: from c80-216-105-155.bredband.comhem.se ([80.216.105.155]:62787
	helo=[192.168.0.10])
	by ch-smtp05.sth.basefarm.net with esmtp (Exim 4.76)
	(envelope-from <deniz@HIDDEN>) id 1QySpF-00039C-GO
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 20:14:19 +0200
Message-ID: <4E5D2849.4090107@HIDDEN>
Date: Tue, 30 Aug 2011 20:13:29 +0200
From: Deniz Dogan <deniz@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:6.0) Gecko/20110812 Thunderbird/6.0
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	<87ippfnl3g.fsf@HIDDEN>
In-Reply-To: <87ippfnl3g.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Originating-IP: 80.216.105.155
X-Scan-Result: No virus found in message 1QySpF-00039C-GO.
X-Scan-Signature: ch-smtp05.sth.basefarm.net 1QySpF-00039C-GO
	f2c99af649754f62ae9ed728d2228895
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.2 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.2 (-----)

On 2011-08-30 14:27, Juri Linkov wrote:
>>> This is implemented in
>>> http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg01176.html
>>> where after M-y you can use M-p/M-n to navigate through the kill ring.
>>
>> I see, but why we should type M-y at all?  I would like to type
>> M-p/M-n just after C-y.
>
> Yes, this would be good.  So it could work exactly like `C-s M-p'
> in Isearch mode where `M-p' activates the minibuffer.  `C-y M-p'
> could do the same.
>

I strongly oppose it.  I've used M-n and M-p for forward-paragraph and 
backward-paragraph for years and I'm sure many other people use them for 
other things too.  Please, leave M-n and M-p for other things than 
browsing the kill ring in this manner.  There is already many different 
ways to do this, all on the Emacs Wiki.[1]

Deniz

[1]: http://www.emacswiki.org/cgi-bin/wiki?BrowseKillRing




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 30 Aug 2011 12:31:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 08:31:48 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QyNTo-00031Y-IN
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 08:31:48 -0400
Received: from smarty.dreamhost.com ([208.113.175.8])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <juri@HIDDEN>) id 1QyNTm-00031R-Sb
	for 9406 <at> debbugs.gnu.org; Tue, 30 Aug 2011 08:31:47 -0400
Received: from ps18281.dreamhostps.com (ps18281.dreamhost.com [69.163.218.105])
	by smarty.dreamhost.com (Postfix) with ESMTP id 7D39A6E80BC;
	Tue, 30 Aug 2011 05:28:37 -0700 (PDT)
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 9F5C6451C3FE;
	Tue, 30 Aug 2011 05:28:36 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
Organization: JURTA
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
	<CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
Date: Tue, 30 Aug 2011 15:27:18 +0300
In-Reply-To: <CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
	(Dani Moncayo's message of "Tue, 30 Aug 2011 14:17:23 +0200")
Message-ID: <87ippfnl3g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

>> This is implemented in
>> http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg01176.html
>> where after M-y you can use M-p/M-n to navigate through the kill ring.
>
> I see, but why we should type M-y at all?  I would like to type
> M-p/M-n just after C-y.

Yes, this would be good.  So it could work exactly like `C-s M-p'
in Isearch mode where `M-p' activates the minibuffer.  `C-y M-p'
could do the same.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 30 Aug 2011 12:20:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 08:20:34 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QyNIv-000257-RD
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 08:20:34 -0400
Received: from mail-gx0-f172.google.com ([209.85.161.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1QyNIu-000250-0m
	for 9406 <at> debbugs.gnu.org; Tue, 30 Aug 2011 08:20:32 -0400
Received: by gxk19 with SMTP id 19so5037400gxk.3
	for <9406 <at> debbugs.gnu.org>; Tue, 30 Aug 2011 05:17:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=E0wYN3sacfQWX1LpX0IGHLynf9aFHMC4uCf9uXiv5vc=;
	b=YHd7+kF6s5OuBoWvwwhDdtCMXqYeb0qPZnaC7QEifi0bz9E+qfN6t7Ii8x1lKmHHmS
	6ApxfJn9ftsWz3DhMgtFtdinIRG+EmToKh4secy+HEaBmEzVf0RE4dMKe2vp4gUMebWX
	CtGw2Hrq4shoTWtUFNig5KYhvzbR8aJWqzJfE=
MIME-Version: 1.0
Received: by 10.236.181.226 with SMTP id l62mr19760909yhm.2.1314706643677;
	Tue, 30 Aug 2011 05:17:23 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Tue, 30 Aug 2011 05:17:23 -0700 (PDT)
In-Reply-To: <87zkirnlug.fsf@HIDDEN>
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	<87zkirnlug.fsf@HIDDEN>
Date: Tue, 30 Aug 2011 14:17:23 +0200
Message-ID: <CAH8Pv0ixTfNX6=xMx+Wuk0ZTTNYAU+HWNpN+9K63XCY5TcF+5A@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

Hi Juri,

> This is implemented in
> http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg01176.html
> where after M-y you can use M-p/M-n to navigate through the kill ring.

I see, but why we should type M-y at all?  I would like to type
M-p/M-n just after C-y.

-- 
Dani Moncayo




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at 9406 <at> debbugs.gnu.org:


Received: (at 9406) by debbugs.gnu.org; 30 Aug 2011 12:12:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 08:12:09 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QyNAn-0001CG-I4
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 08:12:09 -0400
Received: from smarty.dreamhost.com ([208.113.175.8])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <juri@HIDDEN>) id 1QyNAl-0001C7-8v
	for 9406 <at> debbugs.gnu.org; Tue, 30 Aug 2011 08:12:07 -0400
Received: from ps18281.dreamhostps.com (ps18281.dreamhost.com [69.163.218.105])
	by smarty.dreamhost.com (Postfix) with ESMTP id 5F89D6E8051;
	Tue, 30 Aug 2011 05:08:58 -0700 (PDT)
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 51319451C421;
	Tue, 30 Aug 2011 05:08:56 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring
Organization: JURTA
References: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
Date: Tue, 30 Aug 2011 15:08:07 +0300
In-Reply-To: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
	(Dani Moncayo's message of "Tue, 30 Aug 2011 13:39:38 +0200")
Message-ID: <87zkirnlug.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 9406
Cc: 9406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> Therefore, my proposal is obvious: Just after yanking some text into
> some buffer (and before doing anything else) the keys M-p/M-n should
> allow the user to navigate (backward/forward) through the kill ring.
> The selected entry would be placed in the buffer (as happens now with
> M-y).

This is implemented in
http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg01176.html
where after M-y you can use M-p/M-n to navigate through the kill ring.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2011 11:42:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 07:42:51 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QyMiR-0007ZK-BA
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 07:42:51 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dmoncayo@HIDDEN>) id 1QyMiP-0007ZD-CS
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 07:42:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1QyMfN-00080u-HV
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 07:39:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_DNSWL_LOW,T_DKIM_INVALID,T_TO_NO_BRKTS_FREEMAIL
	autolearn=no version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:39863)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1QyMfN-00080p-G5
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 07:39:41 -0400
Received: from eggs.gnu.org ([140.186.70.92]:39119)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1QyMfM-0006M8-7t
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 07:39:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1QyMfL-00080Y-GO
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 07:39:40 -0400
Received: from mail-gy0-f169.google.com ([209.85.160.169]:64957)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1QyMfL-00080P-Aa
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 07:39:39 -0400
Received: by gyg10 with SMTP id 10so2396448gyg.0
	for <bug-gnu-emacs@HIDDEN>; Tue, 30 Aug 2011 04:39:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type;
	bh=Zjd4V28yOGiAoRrzR/T04YNp4v7svLELPaqvqcCo7Nk=;
	b=JFDUEmv0ZTv884w0rwnpr4/GsaIEz+CrQUrl6lXiKJ3WwVZPEq8aFk4md+m4D/3DXO
	j8dUMRkitCfj1FF3WHKjxpA+K8+ZiA3hVmBwsmCM9Z+mag9NLuSd+ojPJpgDFS5rGspV
	k/70rg1zTMiR/ojX7o9e6FFLzDEWW1RTtfsMY=
MIME-Version: 1.0
Received: by 10.236.78.202 with SMTP id g50mr32265192yhe.36.1314704378151;
	Tue, 30 Aug 2011 04:39:38 -0700 (PDT)
Received: by 10.236.43.131 with HTTP; Tue, 30 Aug 2011 04:39:38 -0700 (PDT)
Date: Tue, 30 Aug 2011 13:39:38 +0200
Message-ID: <CAH8Pv0hB1Of8FhHdQxBCAwgddJVrd7L6+qUjEFHZPqz7ycaAFQ@HIDDEN>
Subject: 24.0.50; Use M-p/M-n to navigate through the kill ring
From: Dani Moncayo <dmoncayo@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.3 (----)

Package: emacs
Severity: wishlist

As all of you know, if you want to yank into a buffer some entry from
the kill ring (which is not the last one), you have to yank the first
entry (C-y) and then look for the right one by typing M-y repeatedly.

IMO, this way of navigating through the kill ring has two problems:
1. Is not intuitive: the standard way of "history searching" is with
M-p/M-n (Search ring, minibuffer input, ...).
2. Is cumbersome in some cases: If you repeat `M-y' quickly to find an
old entry and realize that the wanted entry was already retrieved, you
have to invoke a negative prefix argument and then `M-y'.  Pretty
cumbersome.

Therefore, my proposal is obvious: Just after yanking some text into
some buffer (and before doing anything else) the keys M-p/M-n should
allow the user to navigate (backward/forward) through the kill ring.
The selected entry would be placed in the buffer (as happens now with
M-y).


-- 
Dani Moncayo




Acknowledgement sent to Dani Moncayo <dmoncayo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9406; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.